Name: repocop
Version: 0.08
Release: alt5
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: Repocop is an repository unit tests platform.
Group: Development/Other
License: GPL or Artistic
#Url: 

Source: %name-%version.tar

Provides: repocop-collector-rpm = 0.01

Requires: fakeroot >= 1.9
BuildRequires: perl-devel perldoc
BuildRequires: perl(Data/Array2ArrayMap/Hash/XSTree.pm)
BuildRequires: perl-RPM perl-DBD-SQLite
BuildRequires: perl-RPM-Source-Editor
Requires: perl-RPM perl-DBD-SQLite sqlite3

%description
Repocop is a repository unit tests platform.
It provides a framework for running intergration tests
(unit tests) for a set of rpm files (or the whole repository).

Test results are cached, so tests are run only if necessary.

Note that tests are separate packages: repocop is a platform,
it itself contains no tests. This package contains only
the test runner, repocop-run, internal utils and the set 
of report generators.
For example, to get html report of test results, run
repocop-report-html with whe same arguments as repocop-run.

%package tools
Group: Development/Other
Summary: repocop tools for auto repairing repocop packages
Requires: perl-RPM-Source-Editor >= 0.38
Requires: %name = %version-%release

%description tools
%summary

%package prometeus
Group: Development/Other
Summary: repocop report script that reports test results to prometeus
Requires: prometeus
Requires: %name = %version-%release

%description prometeus
%summary

%prep
%setup

%build
%perl_vendor_build

%install
%perl_vendor_install

for i in \
  %_datadir/repocop/pkgtests \
  %_datadir/repocop/srctests \
  %_datadir/repocop/pkgcollectors \
  %_datadir/repocop/srccollectors \
; do mkdir -p $RPM_BUILD_ROOT$i
done
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgcollectors/rpm/
install -m644 pkgcollectors/rpm/*.sql.* $RPM_BUILD_ROOT%_datadir/repocop/pkgcollectors/rpm/

mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/fixscripts/
#install -m644 fixscripts/*.pl $RPM_BUILD_ROOT%_datadir/repocop/fixscripts/

%files
#doc README ChangeLog
%_bindir/repocop-*
%_man1dir/repocop-*
%exclude %_bindir/repocop-report-prometeus*
%exclude %_man1dir/repocop-report-prometeus*
%exclude %_bindir/repocop-fix*
%exclude %_man1dir/repocop-fix*
%exclude %_bindir/repocop-tools-*
%exclude %_man1dir/repocop-tools-*
%dir %_datadir/repocop/pkgtests
%dir %_datadir/repocop/srctests
%dir %_datadir/repocop/pkgcollectors
%dir %_datadir/repocop/srccollectors
%perl_vendor_privlib/T*
%perl_vendor_man3dir/*
%_datadir/repocop/pkgcollectors/rpm

%files prometeus
%_bindir/repocop-report-prometeus*
%_man1dir/repocop-report-prometeus*

%files tools
#doc fixscripts/*.pl
%_bindir/repocop-fix*
%_man1dir/repocop-fix*
%_bindir/repocop-tools-*
%_man1dir/repocop-tools-*
%dir %_datadir/repocop/fixscripts


%changelog
* Fri Dec 12 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt5
- fixed bug in rpm collector (thanks to mithraen@)

* Wed Dec 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt4
- protection from error in db init

* Fri Dec 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt3
- repocop-fix-srpm optimization: skipping not repairable tests

* Fri Dec 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2
- added repocop-sqlite wrapper

* Fri Nov 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- rpm.db: compatible SQL schema change

* Fri Nov 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt26
- bugfixes; added repocop/repocop-discard-test utility

* Wed Nov 19 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt25
- support for given list of SRPMS

* Wed Nov 19 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt24
- nice changelog in fixed srpms

* Mon Nov 17 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt23
- fixed bug for post -p with arguments

* Mon Nov 17 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt22
- bugfix release

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt21
- bugfix release

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt20
- repocop-tools-ls-rpmbuild-bs-environment: 
  removed conflicts in list

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt19
- added repocop-tools-ls-rpmbuild-bs-environment

* Sat Nov 15 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt18
- lots of new options in repocop-fix-*

* Fri Nov 14 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt17
- fixed bug for SCRIPTPROG != /bin/sh

* Thu Nov 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt16
- removed deprecated patch generators
   post_ldconfig.pl
   postun_ldconfig.pl
   update_menus.pl 
  and those that should be deprecated:
   desktop-mime-entry.pl  (desktop-file-utils)
   shared-mime-info.pl    (shared-mime-info)
   update_wms.pl          (xinit)

* Thu Oct 02 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt15
- added qa-robot reports
- removed arch dirs due to sisyphus_check constraints
  + /usr/lib*/repocop/pkgtests
  + /usr/lib*/repocop/srctests
  + /usr/lib*/repocop/pkgcollectors
  + /usr/lib*/repocop/srccollectors

* Wed Aug 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt14
- proper signal handling

* Wed Aug 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt13
- code cleanup

* Sat Jul 26 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt12
- added diffs for info level tests

* Tue Jul 08 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt11
- fix in diff generation

* Sat Jun 07 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt10
- added repocop-report-prometeus-dump tool

* Thu Jun 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt9
- fixes in repocop-tools

* Wed Jun 04 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt8
- fixed some warnings

* Mon May 26 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt7
- dry run optimizations

* Fri May 16 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt6
- patches support in prometeus

* Tue May 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt5
- packaged repocop-test-experimental

* Tue May 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt4
- support for new prometeus db layout

* Tue May 06 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt3
- done cleanup optimization
- added -experimental message level

* Wed Apr 30 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt2
- RPM db schema optimization

* Tue Apr 22 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1.1
- ALTLinux acl support

* Tue Apr 22 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- fixed multitest in repocop-fix-srpm

* Mon Apr 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.9
- added tools subpackage with repocop-fix-* utilities

* Wed Apr 16 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.8
- sharing common options and synoipsis

* Wed Apr 16 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.7
- support for virtual tests in repocop-run

* Sat Apr 12 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.6
- fixed bug in rpm_provides table
- repocop-fix-* scripts merged to .git repo
- use File::Basename

* Wed Apr 09 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.5
- new exclude/include options
- repocop-test-* now allows virtual tests

* Wed Apr 09 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.4
- refactoring: added Options.pm

* Sat Mar 29 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.3
- fixed bug for PROVIDES and OBSOLETES tables in rpm.db

* Sat Mar 29 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.2
- added info test status

* Mon Mar 24 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt0.1
- support for collectors

* Fri Mar 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1.1
- bugfix release

* Fri Mar 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- preparatinon for data to be collected in SQLite db

* Wed Mar 19 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.9
- use RPM::Header;
- added support for srpm tests.

* Wed Mar 19 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.8
- support for relative paths (#14986)
- added --pkgtest-dir local test dir option (#14989)

* Tue Mar 18 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.7
- repocop-run is rewritten in perl

* Mon Mar 17 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.6
- refactoring: sharing common options
- added --newer option (suggested by damir@)
- added repocop-report-stdout (suggested by damir@)
- added repocop-check (suggested by damir@)

* Fri Mar 14 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.5
- fixed bug in repocop-prometeus (thanks to Andrey (liks@))
- refactoring: common code is moved to lib

* Wed Mar 12 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.4
- added qa-robot report tools
- added support for environment variable REPOCOP_CACHEDIR 

* Tue Mar 11 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.3
- added -l to repocop-purge-*
- test upgrade detection

* Fri Mar 07 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.2
- basic support for tests with state

* Wed Mar 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt0.1
- added repocop-purge-* scripts
- added prometeus report tool
- added man pages

* Sun Mar 02 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- changed cache structure, added metadata

* Thu Feb 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- added text file report generator
- disabled using fakeroot by default.

* Mon Feb 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- First build for Sisyphus.
